From 190f2f7099e79fa6a6b7fc94b8a27ed996fceae1 Mon Sep 17 00:00:00 2001
From: Alexey Minnekhanov <alexeymin@postmarketos.org>
Date: Sun, 18 Sep 2022 17:29:35 +0300
Subject: [PATCH 59/59] AlpineApkBackend: compat with upstream

Fixup after 78277138749a9cd4b644f2814822a1b392d259c8 "category
decorations are not a thing anymore"
---
 .../AlpineApkBackend/AlpineApkBackend.cpp     | 49 +++++++++----------
 1 file changed, 23 insertions(+), 26 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp
index f53947324..5bcc38556 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp
@@ -315,36 +315,33 @@ QVector<Category *> AlpineApkBackend::category() const
 
     // Display a single root category
     // we could add more, but Alpine apk does not have this concept
-    static Category *s_rootCat = new Category(
-            i18nc("Root category name", "Alpine Linux packages"),
-            QStringLiteral("package-x-generic"), // icon
-            { s_apkFlt },      // orFilters - include packages that match filter
-            { displayName() }, // pluginName
-            {},                // subCategories - none
-            QUrl(),            // decoration (what is it?)
-            false              // isAddons
+    static Category *s_rootCat = new Category(i18nc("Root category name", "Alpine Linux packages"),
+                                              QStringLiteral("package-x-generic"), // icon
+                                              {s_apkFlt}, // orFilters - include packages that match filter
+                                              {displayName()}, // pluginName
+                                              {}, // subCategories - none
+                                              false // isAddons
     );
 
     return { s_rootCat };
 
-//    static QVector<Category *> s_cats;
-//    if (s_cats.isEmpty()) {
-//        // fill only once
-//        s_cats << s_rootCat;
-//        for (const QString &scat : m_collectedCategories) {
-//            Category *cat = new Category(
-//                        scat,   // name
-//                        QStringLiteral("package-x-generic"), // icon
-//                        {},     // orFilters
-//                        { displayName() }, // pluginName
-//                        {},     // subcategories
-//                        QUrl(), // decoration
-//                        false   // isAddons
-//            );
-//            s_cats << cat;
-//        }
-//    }
-//    return s_cats;
+    //    static QVector<Category *> s_cats;
+    //    if (s_cats.isEmpty()) {
+    //        // fill only once
+    //        s_cats << s_rootCat;
+    //        for (const QString &scat : m_collectedCategories) {
+    //            Category *cat = new Category(
+    //                        scat,   // name
+    //                        QStringLiteral("package-x-generic"), // icon
+    //                        {},     // orFilters
+    //                        { displayName() }, // pluginName
+    //                        {},     // subcategories
+    //                        false   // isAddons
+    //            );
+    //            s_cats << cat;
+    //        }
+    //    }
+    //    return s_cats;
     // ^^ causes deep hang in discover in recalculating QML bindings
 }
 
-- 
GitLab

